declare class Events {
    protected _handlerByType: any;
    constructor();
    static _normalizeEventName(string: string): string;
    addEvent(typeName: string, fn?: any, internal?: boolean): Events;
    fireEvent(typeName: string, eventArgs?: any): Events;
    removeEvent(typeName: string, fn?: any): Events;
}
export default Events;
